//+------------------------------------------------------------------+
//|                                                  Paste Lines.mq4 |
//|                                                    Keith Watford |
//|                                                             none |
//+------------------------------------------------------------------+
#property copyright "Keith Watford"
#property link      "none"
#property version   "1.00"
#property strict

string FileName="Objects.txt";
#include <stdlib.mqh>
#include <stderror.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
  string text;
  datetime t1,t2;
  double p1,p2;
  int window,width,style,col,back;
  string split[];   
  string sep=",";
   ushort u_sep=StringGetCharacter(sep,0); 

   ResetLastError();
   int handle = FileOpen(FileName,FILE_SHARE_READ|FILE_READ|FILE_WRITE|FILE_COMMON|FILE_TXT )  ;
   if(handle<0)
     {
     Print("Error opening file ",FileName,". Error- ",ErrorDescription(GetLastError() ) );
     return;
     }
        while(!FileIsEnding(handle)) 
        { 
         text=FileReadString(handle);
         ArrayResize(split,0);
         StringSplit(text,u_sep,split);
         string name=split[0];
         //PrintFormat(name);
         if(ObjectFind(0,name)>=0)
            ObjectDelete(0,name);
         if(split[1]=="Trend")
            {
        //text+=window+","+t1+","+p1+","+t2+","+p2+","+ray+","+col+","+width+","+style;
            window=StrToInteger(split[2]);
            t1=StrToTime(split[3]);
            p1=StrToDouble(split[4]);
            t2=StrToTime(split[5]);
            p2=StrToDouble(split[6]);
            ObjectCreate(0,name,OBJ_TREND,window,t1,p1,t2,p2);
            if(split[7]=="true")
               ObjectSet(name,OBJPROP_RAY,true);
            else
               ObjectSet(name,OBJPROP_RAY,false);
            col=StrToInteger(split[8]);
            ObjectSet(name,OBJPROP_COLOR,col);
            width=StrToInteger(split[9]);
            ObjectSet(name,OBJPROP_WIDTH,width);
            style=StrToInteger(split[10]);
            ObjectSet(name,OBJPROP_STYLE,style);
            back=StrToInteger(split[11]);
            if(back==0)
               ObjectSetInteger(0,name,OBJPROP_BACK,false);
            else
               ObjectSetInteger(0,name,OBJPROP_BACK,true);
            
            //Print(name," ",back);
            ChartRedraw();
            }
        else
         if(split[1]=="HLine")
            {
        //text+=window+","+t1+","+p1+","+col+","+width+","+style+","+back;
            window=StrToInteger(split[2]);
            t1=StrToTime(split[3]);
            p1=StrToDouble(split[4]);
            ObjectCreate(0,name,OBJ_HLINE,window,t1,p1);
            col=StrToInteger(split[5]);
            ObjectSet(name,OBJPROP_COLOR,col);
            width=StrToInteger(split[6]);
            ObjectSet(name,OBJPROP_WIDTH,width);
            style=StrToInteger(split[7]);
            ObjectSet(name,OBJPROP_STYLE,style);
            back=StrToInteger(split[8]);
            if(back==0)
               ObjectSetInteger(0,name,OBJPROP_BACK,false);
            else
               ObjectSetInteger(0,name,OBJPROP_BACK,true);
            
            //Print(name," ",back);
            ChartRedraw();
            } 
         
         
        } 

      FileClose(handle);
//---
   
  }
//+------------------------------------------------------------------+
